% Copyright (C) 2008-2011 - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

\documentclass[12pt]{article}

\include{macros}

\begin{document}
\author{Micha\"el Baudin}
\date{February 2011}
\title{Introduction to Unconstrained Optimization}
\maketitle
\begin{abstract}
This document is a small introduction to unconstrained optimization 
optimization with Scilab. 
In the first section, we analyze optimization problems and define the associated vocabu-
lary. We introduce level sets and separate local and global optimums. We emphasize
the use of contour plots in the context of unconstrained and constrained optimiza-
tion.
In the second section, we present the definition and properties of convex sets and convex
functions. Convexity dominates the theory of optimization and a lot of theoretical
and practical optimization results can be established for these mathematical objects.
We show how to use Scilab for these purposes. 
We show how to define and validate an implementation of Rosenbrock's 
function in Scilab. 
We present methods to compute first and second numerical derivatives with 
the \scifun{derivative} function. 
We show how to use the \scifun{contour} function in order 
to draw the level sets of a function. 
Exercises (and their answers) are provided.
\end{abstract}

\tableofcontents

\input{copyright}


\input{introoptim/introoptim}


%% Bibliography


\addcontentsline{toc}{section}{Bibliography}
\bibliographystyle{plain}
\bibliography{scilab.optimization}

\addcontentsline{toc}{section}{Index}
\printindex

\end{document}

